:root {
    --theme-color: #51bb9b;
    --theme-l-color: #89ebcd;
    --theme-d-color: #258a6b;

    --warn-color: #cc5759;
    --warn-l-color: #cc5759;
    --warn-d-color: #9b3638;

    --normal-color: #888;
    --normal-l-color: #BBB;
    --normal-d-color: #555;

    --button-text-color: #fff;
    --background-nsfw-thumb: url('../resource/nsfw.png');

    --background-color: #eee;
    --base-background-color: #fff;
    --base-color: #fff;
    --text-color: #555;

    --link-color: #777;
    --link-active-color: #999;

    --link-color-dark: #444;
    --link-active-color-dark: #777;

    /*タグ クラウドのバックカラー&文字色*/
    --tag-cloud-back-color: #a0a0a0;
    --tag-cloud-font-color: #fff;
    --tag-cloud-back-color-hover: #777;
    --tag-cloud-font-color-hover: #fff;
}


/* 共通 要素固定スタイル */
html,
body {
    margin: 0;
    padding: 0;
    height: 100%;
}

body {
    background-color: #fff;
    color: #777;
}

ul {
    list-style: none
}

li {
    margin-left: 0;
}

a {
    color: var(--link-color);
    text-decoration: none;
}

a:active {
    color: var(--link-active-color);
}

a:hover {
    text-decoration: underline;
}


.message_area {
    display: flex;
    justify-content: center;
    font-size: 1.1em;
    margin: 1em auto 1em auto;
}

.system_pagination {
    display: flex;
    justify-content: center;
    font-size: 1.5em;
    margin-top: 1em;
}

.system_pagination .pagination_index {
    display: inline-block;
    margin: 0 -1px 0 0;
    border: 1px solid #333;
    padding: 0.1em 0.5em 0.1em 0.5em;
}

.system_pagination .pagination_current {
    font-weight: 800;
    background-color: #555;
    color: #fff;
}

.system_pagination .pagination_first {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.system_pagination .pagination_last {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

/*基本配置*/
.base_wrapper {
    /* footer分3emマイナス */
    min-height: calc(100vh - 4em);
}

.base {
    margin: 0 auto 0 auto;
    padding: 2em;
    max-width: 1200px;
    border-radius: 15px;
}

.control_area {
    margin: 1em auto 1em auto;
    display: flex;
    width: 100%;
    flex-direction: row;
    flex-wrap: wrap;
}

.console_tag_cloud {
    margin: 1em auto 1em auto;
}

.sort_area {
    margin: 1em auto 1em auto;
}

footer {
    height: 5em;
    line-height: 1em;
    padding: 3em 1em 0.5em 1em;
    width: 100%;
}

.control {
    margin-top: 2em;
}

#base_none_header {
    min-height: 100vh;
}

#index_base {
    min-height: calc(100vh - 3em);
}

#profile-area {
    flex-grow: 0;
    margin-bottom: 1em;
}

#instruction-area {
    flex-grow: 0;
    font-size: 100%;
    margin: 0 1em 0 1em;
}

#contents-area {
    flex-grow: 100;
    margin-bottom: 1em;
    padding: 0.5em;
    display: flex;
    flex-direction: column;
}

#control {
    flex-grow: 0;
}

.system_header {
    margin-bottom: 1em;
}

/* ホームメニュー */
.home_menu {
    display: flex;
    padding-top: 1em;
    margin-bottom: 2em;
    overflow: auto;
    justify-content: center;
    list-style: none;
}

.home_menu_item {
    margin: 0 1em 0 1em;
    cursor: pointer;
    white-space: nowrap;
}

.home_menu_item a {
    text-decoration: none;
    color: #555;
}

.home_menu_item a:hover {
    text-decoration: underline;
    color: #999;
}

.home_menu_item_current {
    border-bottom: 2px solid black;
}

/* 検索窓 */
.search_area {
    text-align: left;
    margin-top: 1em;
    margin-bottom: 1em;
}

.search_input {
    position: relative;
    word-wrap: none;
}

.search_input_form {
    font-size: 120%;
    color: #555;
    background-color: #fff;
    border: 1px solid #999;
    border-radius: 20px;

    height: 2em;
    padding: 0 2em 0 2em;
    text-wrap: none;
    min-width: 320px;
}

.search_button {
    font-size: 120%;
    position: relative;
    margin-right: -2em;
    line-height: 1.8em;
    margin-left: 0.5em;
    cursor: pointer;
    z-index: 99;
}

.search_clear_button {
    font-size: 120%;
    color: rgb(36, 180, 199);
    vertical-align: middle;
    position: relative;
    right: 2em;
    cursor: pointer;
}

/* タグクラウド */
#tagcloud_area {
    margin: 1em 2em 1em 2em;
}

.tag_cloud_more_link {
    color: var(--tag-cloud-back-color);
    font-size: 0.8em;
    display: inline-block;
    padding: 2px 0.5em 2px 0.5em;
    margin-right: 1em;
}

.tag_cloud_more_link:hover {
    color: var(--tag-cloud-back-color-hover);
}

.tag {
    background-color: var(--tag-cloud-back-color);
    color: var(--tag-cloud-font-color);

    font-size: 0.8em;
    display: inline-block;
    text-align: center;
    padding: 2px 0.5em 2px 0.5em;
    border-radius: 5px;
    margin-right: 1em;
    margin-bottom: 0.5em;
    min-width: 48px;

    cursor: pointer;
}

.tag:hover {
    color: var(--tag-cloud-font-color-hover);
    background-color: var(--tag-cloud-back-color-hover);

}

.tag a {
    color: var(--tag-cloud-font-color);
}

.control {
    text-align: center;
}


/* ページネーション */
.pagination {
    display: flex;
    justify-content: center;
    font-size: 1.5em;
    margin-top: 1em;
}

.pagination .pagination_index {
    display: inline-block;
    margin: 0 -1px 0 0;
    border: 1px solid #333;
    padding: 0.1em 0.5em 0.1em 0.5em;
}

.pagination .pagination_current {
    font-weight: 800;
    background-color: #555;
    color: #fff;
}

.pagination .pagination_first {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.pagination .pagination_last {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

/* 画像表示 */
.thumbnail_wrapper {
    display: grid;
    justify-content: center;
    text-align: center;
    margin-bottom: 2em;
}

.thumbnail_wrapper_left {
    float: left;
}

.thumbnail_wrapper_right {
    float: right;
}

.thumbnail {
    cursor: pointer;
    display: block;
    border-radius: 5px;
}

.thumb_l {
    max-width: 800px;
    height: auto;
}

.thumb_s {
    max-width: 400px;
    height: auto;
}

.image_comment {
    font-size: 0.8em;
    color: #555;
}


.thumb_l {
    max-width: 700px;
    height: auto;
    border-radius: 5px;
}